## Poketypes

Poketypes is a fairly simple tool for players of the Pokémon video game series.

It allows you to simply list a set of types that are present on your team, like so:

    $ ./poketypes.py dragon grass ghost poison fire ice


It will then treat these types as an aggregate, and let you know types your theoretical team is
capable of being strong against both offensively and defensively. This is to help you spot potentially
weaknesses when building a team.

For example, the above command will output:

```
                Attack
                ======

Strong     Normal     Weak       Immune
------     ------     ----       ------
water      normal                          
grass      fire                            
ice        electric                        
ground     fighting                        
flying     poison                          
psychic    dark                            
bug                                        
rock                                       
ghost                                      
dragon                                     
steel                                      


                Defend
                ======

Strong     Normal     Weak       Immune
------     ------     ----       ------
steel      flying                normal    
electric   psychic               fighting  
fire       rock                            
ice        ghost                           
water      dragon                          
poison     dark                            
grass                                      
bug                                        
ground                                     
```


You can also use it as a quick-reference for a single type's strengths and weaknesses by listing just that type.



### Todo

Currently the tool assumes you can switch to any of the listed types separately. At some point, I'll try to handle dual types in a sensible way.
